Skip to main content
POST

Execute a prepared submission asynchronously on the ledger. Requires actAs or executeAs scope for the submitting party when LAPI User authorization is enabled Requires a signature of the transaction from the submitting external party.

Authorizations

httpAuth

string
required
HTTP bearer authentication. Send the token as Authorization: Bearer <token>. Ledger API standard JWT token

apiKeyAuth

string
required
API key authentication in the header. Ledger API standard JWT token (websocket)

Body

application/json
string
required
the prepared transaction Typically this is the value of the prepared_transaction field in PrepareSubmissionResponse obtained from calling prepareSubmission. Required
object
required
OpenAPI type: PartySignatures.Additional signatures provided by the submitting parties
object
OpenAPI type: DeduplicationPeriod2.
string
required
A unique identifier to distinguish completions for different submissions with the same change ID. Typically a random UUID. Applications are expected to use a different UUID for each retry of a submission with the same change ID. Must be a valid LedgerString (as described in value.proto). Required
string
See [PrepareSubmissionRequest.user_id] Optional
string
required
The hashing scheme version used when building the hash RequiredAllowed values: HASHING_SCHEME_VERSION_UNSPECIFIED, HASHING_SCHEME_VERSION_V2, HASHING_SCHEME_VERSION_V3.
object
OpenAPI type: MinLedgerTime.If set will influence the chosen ledger effective time but will not result in a submission delay so any override should be scheduled to executed within the window allowed by synchronizer. Optional

Responses

200

application/json
ExecuteSubmissionResponse
required

400

Invalid value, Invalid value for: body
text/plain
string
required

default

application/json
string
required
string
required
string
string
Map_String
required
Tuple2_String_String[]
integer (int32)
required
integer (int32)
string
boolean

History

Updated3.5

The POST /v2/interactive-submission/execute operation changed in this snapshot.